> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Revenue Forecast (/api-reference/analytics-financial/get-revenue-forecast)

Generate revenue or churn forecasts using statistical models (Moving Average, Linear Regression, ARIMA, SARIMA).

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml post /api/analytics/financial/forecast
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/analytics/financial/forecast:
    post:
      summary: Get Revenue Forecast
      operationId: getRevenueForecast
      description: Generate revenue or churn forecasts using statistical models
        (Moving Average, Linear Regression, ARIMA, SARIMA).
      parameters: []
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                type: object
                example:
                  metric: revenue
                  model: linear_regression
                  historical:
                    - date: 2024-01-01
                      value: 500
                  forecast:
                    - date: 2024-02-01
                      value: 550
                properties:
                  metric:
                    type: string
                    example: revenue
                  model:
                    type: string
                    example: linear_regression
                  historical:
                    type: array
                    example:
                      - date: 2024-01-01
                        value: 500
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                          example: 2024-01-01
                        value:
                          type: number
                          example: 500
                  forecast:
                    type: array
                    example:
                      - date: 2024-02-01
                        value: 550
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                          example: 2024-02-01
                        value:
                          type: number
                          example: 550
      tags:
        - Analytics - Financial
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                account_ids:
                  type: array
                  description: Array of account prefixed IDs
                  example:
                    - acc_abc123
                    - acc_def456
                  items:
                    type: string
                metric:
                  type: string
                  description: The metric to forecast
                  example: revenue
                  enum:
                    - revenue
                    - churn_percentage
                model:
                  type: string
                  description: The forecasting model to use
                  example: linear_regression
                  enum:
                    - moving_average
                    - linear_regression
                    - arima
                    - sarima
                historical_days:
                  type: integer
                  description: Number of historical days to analyze (30-730)
                  example: 90
                forecast_days:
                  type: integer
                  description: Number of days to forecast (7-365)
                  example: 30
              required:
                - account_ids
                - metric
                - model
                - historical_days
                - forecast_days
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````